using Hawkeye.VisionBuilder.Workflow.Datatypes.Elements.Parent;
using Hawkeye.VisionBuilder.Workflow.Links;

using OpenCvSharp;

namespace Hawkeye.VisionBuilder.Workflow.Datatypes.Elements;

public interface IGraphicsElement
{

    

    public bool Editable { get; set; }
    
    public void Draw(ICanvas canvas);
    public void FillMat(Mat mat);
    public INode? GetNode(Vector2 position, float thDistance);
    public void SetPivot(Vector2 pivot);
    public void MovePivot(Vector2 pivot);



}
